Last Comment Bug 705731 - Create InspectorUI.notifications.DESTROYED notification
: Create InspectorUI.notifications.DESTROYED notification
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 11
Assigned To: Rob Campbell [:rc] (:robcee)
:
Mentors:
Depends on:
Blocks: 689920
  Show dependency treegraph
 
Reported: 2011-11-28 09:16 PST by Rob Campbell [:rc] (:robcee)
Modified: 2011-12-07 17:18 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
destroy notification (5.29 KB, patch)
2011-12-01 13:28 PST, Rob Campbell [:rc] (:robcee)
paul: review+
Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-11-28 09:16:09 PST
Tilt needs to know when the Inspector has been explicitly closed instead of the more generic InspectorUI.notifications.CLOSED event which fires whenever it is closed for whatever reason.

The notification should also include the DOM Window ID as data.
Comment 1 Rob Campbell [:rc] (:robcee) 2011-12-01 13:28:34 PST
Created attachment 578367 [details] [diff] [review]
destroy notification

Adds a DESTROYED notification fired when the inspector is completely removed.
Comment 2 Paul Rouget [:paul] 2011-12-02 07:21:57 PST
Comment on attachment 578367 [details] [diff] [review]
destroy notification

Review of attachment 578367 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good.
Comment 3 Rob Campbell [:rc] (:robcee) 2011-12-07 06:39:34 PST
https://hg.mozilla.org/integration/fx-team/rev/cc69fe7c9f26
Comment 4 Blair McBride [:Unfocused] (mostly unavailable, needinfo open, reviews not) 2011-12-07 17:18:29 PST
https://hg.mozilla.org/mozilla-central/rev/cc69fe7c9f26

Note You need to log in before you can comment on or make changes to this bug.